(setplay :name Kickoff-Times-Fortes :id 1 :invertible true
	 :version splanner_1.6
	 :players
		(list
			(playerRole :roleName Player4)
			(playerRole :roleName Player5)
			(playerRole :roleName Player6)
			(playerRole :roleName Player7)
			(playerRole :roleName Player8)
			(playerRole :roleName Player9)
			(playerRole :roleName Player10)
			(playerRole :roleName Player11)
		) 
	 :playersOpponents
		(list
			(playerRole :roleName PlayerOpponent3)
			(playerRole :roleName PlayerOpponent6)
			(playerRole :roleName PlayerOpponent10)
			(playerRole :roleName PlayerOpponent11)
		) 
	 :abortCond (and (or (bowner :players  (list (player :team opp :number 1) (player :team opp :number 2) (player :team opp :number 3) (player :team opp :number 4) (player :team opp :number 5) (player :team opp :number 6) (player :team opp :number 7) (player :team opp :number 8) (player :team opp :number 9) (player :team opp :number 10) (player :team opp :number 11) )) (and (not (playm play_on)) (not (playm ko_our)))) (not (playm ko_opp)))
	 :steps
		(seq
			(step :id 0 :waitTime 0 :abortTime 17
				 :participants
					(list
						(at (playerRole :roleName Player4) (pt :x -1.53 :y -4.62))
						(at (playerRole :roleName Player5) (pt :x -1.52 :y 4.7))
						(at (playerRole :roleName Player6) (pt :x -4.84 :y 0.08))
						(at (playerRole :roleName Player7) (pt :x -0.52 :y -2.22))
						(at (playerRole :roleName Player8) (pt :x -0.56 :y 2.38))
						(at (playerRole :roleName Player9) (pt :x -0.52 :y -7.78))
						(at (playerRole :roleName Player10) (pt :x -0.55 :y 7.89))
						(at (playerRole :roleName Player11) (pt :x 0 :y 0))
					)
				 :participantsOpponents
					(list
						(at (playerRole :roleName PlayerOpponent3) (pt :x 2.45 :y 0.05))
						(at (playerRole :roleName PlayerOpponent6) (pt :x 6.66 :y -1.47))
						(at (playerRole :roleName PlayerOpponent10) (pt :x 12.31 :y 2.44))
						(at (playerRole :roleName PlayerOpponent11) (pt :x 8.94 :y -0.96))
					)
				 :condition (playm ko_our)
				 :leadPlayer (playerRole :roleName Player11)
				 :ballHolder (playerRole :roleName Player11)
				 :abortCond (passfailed)
				 :transitions
					(list 
						(nextStep :id 1
							 :condition (canPassReg :from  (list (playerRole :roleName Player11) ) :to (pt :x 11.5 :y 8))
							 :directives
								(list
									(do 	:players (list (playerRole :roleName Player4) )
										:actions (list (stop) )
									)
									(do 	:players (list (playerRole :roleName Player5) )
										:actions (list (stop) )
									)
									(do 	:players (list (playerRole :roleName Player6) )
										:actions (list (stop) )
									)
									(do 	:players (list (playerRole :roleName Player7) )
										:actions (list (stop) )
									)
									(do 	:players (list (playerRole :roleName Player8) )
										:actions (list (stop) )
									)
									(do 	:players (list (playerRole :roleName Player9) )
										:actions (list (stop) )
									)
									(do 	:players (list (playerRole :roleName Player10) )
										:actions (list (intercept :region (pt :x 11.5 :y 8)) )
									)
									(do 	:players (list (playerRole :roleName Player11) )
										:actions (list (lki :region (pt :x 11.5 :y 8) :type normal) )
									)

								)
						)
					)
			)
			(step :id 1 :waitTime 0 :abortTime 24
				 :participants
					(list
						(at (playerRole :roleName Player4) (pt :x -1.53 :y -4.62))
						(at (playerRole :roleName Player5) (pt :x -1.52 :y 4.7))
						(at (playerRole :roleName Player6) (pt :x -4.84 :y 0.08))
						(at (playerRole :roleName Player7) (pt :x -0.52 :y -2.22))
						(at (playerRole :roleName Player8) (pt :x -0.56 :y 2.38))
						(at (playerRole :roleName Player9) (pt :x -0.52 :y -7.78))
						(at (playerRole :roleName Player10) (pt :x 11.5 :y 8))
						(at (playerRole :roleName Player11) (pt :x 0 :y 0))
					)
				 :participantsOpponents
					(list
						(at (playerRole :roleName PlayerOpponent3) (pt :x 2.45 :y 0.05))
						(at (playerRole :roleName PlayerOpponent6) (pt :x 6.66 :y -1.47))
						(at (playerRole :roleName PlayerOpponent10) (pt :x 12.31 :y 2.44))
						(at (playerRole :roleName PlayerOpponent11) (pt :x 8.94 :y -0.96))
					)
				 :condition (and (playm play_on) (bowner :players  (list (playerRole :roleName Player10) )))
				 :leadPlayer (playerRole :roleName Player10)
				 :ballHolder (playerRole :roleName Player10)
				 :transitions
					(list 
						(nextStep :id 2
							 :condition (canShoot :players  (list (playerRole :roleName Player10) ))
							 :directives
								(list
									(do 	:players (list (playerRole :roleName Player4) )
										:actions (list (mov :region (pt :x -4.5 :y -2)) )
									)
									(do 	:players (list (playerRole :roleName Player5) )
										:actions (list (ofeMark :destPlayer (playerRole :roleName PlayerOpponent10) :relTo (ball) ) )
									)
									(do 	:players (list (playerRole :roleName Player6) )
										:actions (list (mov :region (pt :x -6.5 :y 5)) )
									)
									(do 	:players (list (playerRole :roleName Player7) )
										:actions (list (ofeMark :destPlayer (playerRole :roleName PlayerOpponent6) :relTo (ball) ) )
									)
									(do 	:players (list (playerRole :roleName Player8) )
										:actions (list (ofeMark :destPlayer (playerRole :roleName PlayerOpponent11) :relTo (ball) ) )
									)
									(do 	:players (list (playerRole :roleName Player9) )
										:actions (list (mov :region (pt :x 13.5 :y -2)) )
									)
									(do 	:players (list (playerRole :roleName Player10) )
										:actions (list (shoot) )
									)
									(do 	:players (list (playerRole :roleName Player11) )
										:actions (list (ofeMark :destPlayer (playerRole :roleName PlayerOpponent3) :relTo (ball) ) )
									)

								)
						)
					)
			)
			(step :id 2 :waitTime 0 :abortTime 0
				 :participants
					(list
						(at (playerRole :roleName Player4) (pt :x -4.5 :y -2))
					)
				 :participantsOpponents
					(list
					)
				 :condition (playm ko_opp)
				 :leadPlayer (playerRole :roleName Player4)
				 :ballHolder (NULL)
				 :transitions
					(list 
						(finish :directives (list))
					)
			)
		)
)
